﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Tools;
using Steema.TeeChart.Styles;

namespace TestSourceCode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }

        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            ImagePoint points = new ImagePoint(tChart1.Chart);
            ImagePoint points1 = new ImagePoint(tChart1.Chart);
            points.Pointer.HorizSize = 16;
            points.Pointer.VertSize = 16;
            points.Pointer.InflateMargins = false;
            points.Add(1, 1);
            points.Add(2, 1);
            points.Add(3, 1);
            points1.DataSource = points;
            points1.Pointer.HorizSize = 16;
            points1.Pointer.VertSize = 16;
            points1.Pointer.InflateMargins = false;
            tChart1.Axes.Bottom.SetMinMax(0, 30);
            tChart1.Axes.Bottom.Increment = 5;
            checkBox1.Checked = true;
            points.ClickPointer += new CustomPoint.ClickPointerEventHandler(points_ClickPointer);
        }

        void points_ClickPointer(CustomPoint series, int valueIndex, int x, int y)
        {
            if (checkBox1.Checked)
            {
                //Get Index of value series  
                MessageBox.Show(valueIndex.ToString(),"Index");
            }
            else
            {
                //Get Value of Series.

                MessageBox.Show(Math.Round(series.ScreenPointToValuePoint(x, y).X).ToString(),"X Value");
            }
        }
    }
}
